%define upstream_name    Crypt-DES_EDE3
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Triple-DES EDE encryption/decryption
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch


%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc MANIFEST README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 364834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 26242
- no meta.yml
- mageia rebuild
- imported package perl-Crypt-DES_EDE3

